## smb4k 2.1.1.1+rb2

=== debian/changelog ===
smb4k (2.1.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 01 Feb 2021 16:10:51 +0800

## smb4k 3.0.1

=== CMakeLists.txt ===
project(smb4k)

set(VERSION_MAJOR 3)
set(VERSION_MINOR 0)
set(VERSION_PATCH 1)

set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

# Minimum required CMake version
cmake_minimum_required(VERSION 3.2 FATAL_ERROR)

# CMake policies
cmake_policy(SET CMP0037 NEW)

if (POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

# Minimum required versions of Qt5 and KF5
set(QT_MIN_VERSION "5.6.0")
set(KF5_MIN_VERSION "5.25.0")

if(KF5_VERSION VERSION_GREATER "5.55.0")
    set(AUTHLIB KF5::AuthCore)
else()
    set(AUTHLIB KF5::Auth)
endif()

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake/)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)

# Qt5 modules
find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Gui ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Network ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5PrintSupport ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Qml ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MIN_VERSION} REQUIRED)

# KF5 modules
find_package(KF5Auth ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Solid ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED) 

find_package(KF5Plasma ${KF5_MIN_VERSION})
set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)

# Find libsmbclient.h
find_package(Libsmbclient REQUIRED MODULE)

# Make sure that Smb4K builds when several custom targets
# with the same name exist (happens in the po directory).
if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# Make sure that all libraries, plugins, etc. are installed
# into the right place.
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOLEAN "Use Qt system paths for installation" FORCE)

# Add subdirectories
add_subdirectory(core)
add_subdirectory(helpers)
add_subdirectory(smb4k)
add_subdirectory(data)
add_subdirectory(doc)

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  ki18n_install(po)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif(KF5DocTools_FOUND)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

# Install the header files if desired
option(INSTALL_HEADER_FILES "Install header files" OFF)

if (INSTALL_HEADER_FILES)
  message(STATUS "Installing core header files (-DINSTALL_HEADER_FILES=false to disable)")
elseif (NOT INSTALL_HEADER_FILES)
  message(STATUS "Not installing core header files (-DINSTALL_HEADER_FILES=true to enable)")
endif(INSTALL_HEADER_FILES)

# Do not install the plasmoid if not desired
option(INSTALL_PLASMOID "Install the plasmoid" ON)

if (INSTALL_PLASMOID)
  message(STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)")
  add_subdirectory(plasmoid)
elseif(NOT INSTALL_PLASMOID)
  message(STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)")
endif(INSTALL_PLASMOID)

########### install files ###############

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
smb4k (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5parts-dev, no more needed
    - add libsmbclient-dev
  * Update the filename of the Plasma widget translations to remove.
  * Remove empty directories.
  * Update lintian overrides.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:49:15 +0200

=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 3.2),
               debhelper (>= 11~),
               pkg-kde-tools (>= 0.15.16),
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               libkf5auth-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5solid-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libsmbclient-dev,
Standards-Version: 4.4.0
Homepage: http://smb4k.sourceforge.net/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sudo
Suggests: kwalletmanager
Description: Samba (SMB) share advanced browser
 Smb4K is an advanced network neighborhood browser. It uses the Samba software
 suite to access the shares of the local network neighborhood. Its purpose is
 to provide a program that's easy to use and has as many features as possible.
 .
 Features:
  - Scanning for (active) workgroups, hosts, and shares
  - Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  - Mounting and unmounting of shares
  - Access to the files of a mounted share using a file manager or terminal
  - Auto-detection of external mounts and unmounts
  - Remounting of previously used shares on program start
  - Miscellaneous infos about remote network items and mounted shares
  - Network search
  - WINS server support
  - Preview of the contents of a share
  - Several methods to look up the initial list of workgroups and domains
  - Default login
  - Special handling of homes shares
  - Ability to bookmark favorite shares and organizing them in groups
  - Support of advanced Samba options
  - Support of printer shares
  - KWallet support
  - Synchronization of a remote share with a local copy and vice versa
  - Ability to define custom options for individual servers and shares
  - Laptop support through the Solid hardware device framework

## smb4k 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Aug 2019 22:05:36 +0200

## smb4k 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 3)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Mar 2020 22:09:42 +0100

## smb4k 3.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 3)
+set(VERSION_PATCH 4)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Apr 2020 09:25:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: cmake (>= 3.2),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                pkg-kde-tools (>= 0.15.16),
+               gettext,
                extra-cmake-modules,
                qtbase5-dev,
                qtdeclarative5-dev,
@@ -29,7 +30,7 @@
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                libsmbclient-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DINSTALL_PLASMOID=false -DINSTALL_HEADER_FILES=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/smb4k -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_org.kde.smb4kqml.mo
	# remove unused translations of appdata file
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/org.kde.smb4k.appdata.mo
	# at the end, remove empty directories
	find debian/smb4k -type d -empty -delete

## smb4k 3.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 4)
+set(VERSION_PATCH 5)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 15 May 2020 14:16:31 +0200

## smb4k 3.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 5)
+set(VERSION_PATCH 6)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 13:37:38 +0200

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
                libkf5xmlgui-dev,
                libsmbclient-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k

## smb4k 3.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 6)
+set(VERSION_PATCH 7)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== core/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${LIBSMBCLIENT_INCLUDE_DIRS})

set(smb4kcore_LIB_SRCS
  smb4kauthinfo.cpp
  smb4kbasicnetworkitem.cpp
  smb4kbookmark.cpp
  smb4kbookmarkhandler.cpp
  smb4kbookmarkhandler_p.cpp
  smb4kclient.cpp
  smb4kclient_p.cpp
  smb4kcustomoptions.cpp
  smb4kcustomoptionsmanager.cpp
  smb4kcustomoptionsmanager_p.cpp
  smb4kfile.cpp
  smb4kglobal.cpp
  smb4kglobal_p.cpp
  smb4khardwareinterface.cpp
  smb4khardwareinterface_p.cpp
  smb4khomesshareshandler.cpp
  smb4khomesshareshandler_p.cpp
  smb4khost.cpp
  smb4kmounter.cpp 
  smb4kmounter_p.cpp
  smb4knotification.cpp
  smb4knotification_p.cpp
  smb4kprofilemanager.cpp
  smb4kprofilemanager_p.cpp
  smb4kshare.cpp
  smb4ksynchronizer.cpp
  smb4ksynchronizer_p.cpp
  smb4kwalletmanager.cpp
  smb4kwalletmanager_p.cpp
  smb4kworkgroup.cpp)

if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS 
  smb4ksettings.kcfgc 
  smb4kmountsettings_linux.kcfgc)
elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "FreeBSD" OR
       ${CMAKE_HOST_SYSTEM_NAME} MATCHES "NetBSD" OR
       ${CMAKE_HOST_SYSTEM_NAME} MATCHES "DragonFly")
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS 
  smb4ksettings.kcfgc 
  smb4kmountsettings_bsd.kcfgc)
else ()
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS 
  smb4ksettings.kcfgc)
endif ()

add_library(smb4kcore SHARED ${smb4kcore_LIB_SRCS})

target_link_libraries(smb4kcore
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  Qt5::Test
  Qt5::PrintSupport
  Qt5::Network
  Qt5::Qml
  KF5::ConfigCore
  KF5::ConfigGui
  ${AUTHLIB}
  KF5::IconThemes
  KF5::I18n
  KF5::Completion
  KF5::CoreAddons
  KF5::Solid
  KF5::KIOCore
  KF5::KIOWidgets
  KF5::Notifications
  KF5::JobWidgets
  KF5::Wallet
  KF5::XmlGui
  ${LIBSMBCLIENT_LIBRARIES})

set_target_properties(smb4kcore PROPERTIES VERSION 6.0.0 SOVERSION 6)
install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})


########### install files ###############

install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES smb4k.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

if (INSTALL_HEADER_FILES)
  install(FILES
    smb4kauthinfo.h
    smb4kbasicnetworkitem.h
    smb4kbookmark.h
    smb4kbookmarkhandler.h
    smb4kclient.h
    smb4kcustomoptions.h
    smb4kcustomoptionsmanager.h
    smb4kfile.h
    smb4kglobal.h
    smb4khardwareinterface.h
    smb4khomesshareshandler.h
    smb4khost.h
    smb4kmounter.h
    smb4knotification.h
    smb4kprocess.h
    smb4kprofilemanager.h
    smb4kshare.h
    smb4ksynchronizer.h
    smb4kwalletmanager.h
    smb4kworkgroup.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR})
endif (INSTALL_HEADER_FILES)

=== smb4k/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/configdlg
  ${CMAKE_CURRENT_BINARY_DIR}/configdlg
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR})

add_subdirectory(icons)

########### Configuration dialog #####################

set(smb4kconfigdialog_LIB_SRCS
  smb4kconfigdialog.cpp
  smb4kconfigpageauthentication.cpp
  smb4kconfigpagecustomoptions.cpp
  smb4kconfigpagemounting.cpp
  smb4kconfigpagenetwork.cpp
  smb4kconfigpageprofiles.cpp
  smb4kconfigpagesynchronization.cpp
  smb4kconfigpageuserinterface.cpp)
  
add_library(smb4kconfigdialog MODULE ${smb4kconfigdialog_LIB_SRCS})

target_link_libraries(smb4kconfigdialog
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  KF5::WidgetsAddons
  KF5::CoreAddons
  KF5::XmlGui
  KF5::IconThemes
  KF5::I18n
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::KIOCore
  KF5::KIOWidgets
  smb4kcore)

########### Main Application #########################

set(smb4k_SRCS
  main.cpp
  smb4kbookmarkmenu.cpp
  smb4kprofilesmenu.cpp
  smb4kmainwindow.cpp
  smb4knetworkbrowser.cpp
  smb4knetworkbrowseritem.cpp
  smb4knetworkbrowserdockwidget.cpp
  smb4knetworksearchtoolbar.cpp
  smb4ksharesmenu.cpp
  smb4ksharesview.cpp
  smb4ksharesviewitem.cpp
  smb4ksharesviewdockwidget.cpp
  smb4ksystemtray.cpp
  smb4ktooltip.cpp)
  
add_executable(smb4k ${smb4k_SRCS})

target_link_libraries(smb4k
  smb4kcore
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  KF5::CoreAddons
  KF5::WidgetsAddons
  KF5::DBusAddons
  KF5::XmlGui
  KF5::I18n
  KF5::IconThemes
  KF5::KIOCore
  KF5::ConfigWidgets
  KF5::Crash
  KF5::WindowSystem)

########### install files ###############

install(TARGETS smb4kconfigdialog DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4k DESTINATION ${KDE_INSTALL_BINDIR})

install(PROGRAMS org.kde.smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES smb4k_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/smb4k)
install(FILES org.kde.smb4k.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== plasmoid/plugin/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core)
  
set(smb4kqmlplugin_LIB_SRC
  smb4kbookmarkobject.cpp
  smb4kdeclarative.cpp
  smb4kdeclarative_p.cpp
  smb4knetworkobject.cpp
  smb4kprofileobject.cpp
  smb4kqmlplugin.cpp)

add_library(smb4kqmlplugin SHARED ${smb4kqmlplugin_LIB_SRC})

target_link_libraries(smb4kqmlplugin
  Qt5::Core
  Qt5::Qml
  smb4kcore)

install(TARGETS smb4kqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)

=== smb4k/icons/hicolor/CMakeLists.txt ===
ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${KDE_INSTALL_ICONDIR}
                   THEME hicolor   )

=== debian/changelog ===
smb4k (3.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the smb4k package relationships:
    - remove the sudo recommend, as it seems not needed anymore
    - add the rsync recommend
    - add the konsole suggest
  * CI: disable build-path reprotest variations.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add some upstream metadata fields.
  * Bump the version the watch file to 4, no changes required.
  * Drop the removal of the appdata translations, as they are not shipped
    anymore now.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 00:34:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: cmake (>= 3.2),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
                gettext,
                extra-cmake-modules,
@@ -43,8 +43,8 @@
          smbclient (>= 2:3.4.7~dfsg),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: sudo
-Suggests: kwalletmanager
+Recommends: rsync
+Suggests: konsole, kwalletmanager
 Description: Samba (SMB) share advanced browser
  Smb4K is an advanced network neighborhood browser. It uses the Samba software
  suite to access the shares of the local network neighborhood. Its purpose is

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DINSTALL_PLASMOID=false -DINSTALL_HEADER_FILES=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/smb4k -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_org.kde.smb4kqml.mo
	# at the end, remove empty directories
	find debian/smb4k -type d -empty -delete

## smb4k 3.0.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,31 +1,58 @@
+#
+# Project
+#
 project(smb4k)
 
+#
+# Version
+#
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 7)
+set(VERSION_PATCH 90)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
+#
 # Minimum required CMake version
+#
 cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
 
+#
 # CMake policies
+#
 cmake_policy(SET CMP0037 NEW)
 
 if (POLICY CMP0071)
   cmake_policy(SET CMP0071 NEW)
 endif()
 
+#
 # Minimum required versions of Qt5 and KF5
-set(QT_MIN_VERSION "5.6.0")
-set(KF5_MIN_VERSION "5.25.0")
+#
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.44.0")
 
+#
+# Adjustments
+#
 if(KF5_VERSION VERSION_GREATER "5.55.0")
     set(AUTHLIB KF5::AuthCore)
 else()
     set(AUTHLIB KF5::Auth)
 endif()
 
+#
+# Options for building Smb4K
+#
+# Install plasmoid
+option(SMB4K_INSTALL_PLASMOID "Install the plasmoid" ON)
+
+# Build with KDSoap WS Discovery client
+option(SMB4K_WITH_WS_DISCOVERY "Build with WS-Discovery support for browsing" OFF)
+
+#
+# Required packages and includes
+#
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake/)
 
@@ -34,6 +61,10 @@
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(ECMInstallIcons)
+include(ECMSetupVersion)
+include(CheckSymbolExists)
+
+ecm_setup_version(${VERSION} VARIABLE_PREFIX SMB4K VERSION_HEADER smb4k_version.h)
 
 # Qt5 modules
 find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
@@ -62,28 +93,53 @@
 find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
-find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED) 
+find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5DNSSD ${KF5_MIN_VERSION} REQUIRED)
 
-find_package(KF5Plasma ${KF5_MIN_VERSION})
-set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)
+# Install the plasmoid if desired
+if (SMB4K_INSTALL_PLASMOID)
+  find_package(KF5Plasma ${KF5_MIN_VERSION})
+  set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)
+endif()
 
 # Find libsmbclient.h
 find_package(Libsmbclient REQUIRED MODULE)
 
+# Check that the required smbc_* functions are provided
+set(CMAKE_REQUIRED_LIBRARIES ${LIBSMBCLIENT_LIBRARIES})
+set(CMAKE_REQUIRED_INCLUDES ${LIBSMBCLIENT_INCLUDE_DIRS})
+check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)
+
+if (NOT HAVE_SMBC_PROTOCOL)
+  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
+endif()
+
+# Find KDSoap client
+if (SMB4K_WITH_WS_DISCOVERY)
+  find_package(KDSoap 1.9.0 REQUIRED)
+  find_package(KDSoapWSDiscoveryClient 0.2 REQUIRED)
+endif(SMB4K_WITH_WS_DISCOVERY)
+
+#
 # Make sure that Smb4K builds when several custom targets
 # with the same name exist (happens in the po directory).
+#
 if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
   set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
 endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
-               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-
+#
 # Make sure that all libraries, plugins, etc. are installed
 # into the right place.
+#
 set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOLEAN "Use Qt system paths for installation" FORCE)
 
+#
 # Add subdirectories
+#
 add_subdirectory(core)
 add_subdirectory(helpers)
 add_subdirectory(smb4k)
@@ -97,24 +153,16 @@
   endif(KF5DocTools_FOUND)
 endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
 
-# Install the header files if desired
-option(INSTALL_HEADER_FILES "Install header files" OFF)
-
-if (INSTALL_HEADER_FILES)
-  message(STATUS "Installing core header files (-DINSTALL_HEADER_FILES=false to disable)")
-elseif (NOT INSTALL_HEADER_FILES)
-  message(STATUS "Not installing core header files (-DINSTALL_HEADER_FILES=true to enable)")
-endif(INSTALL_HEADER_FILES)
-
-# Do not install the plasmoid if not desired
-option(INSTALL_PLASMOID "Install the plasmoid" ON)
-
-if (INSTALL_PLASMOID)
-  message(STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)")
+#
+# Make adjustments according to the options set by the user
+#
+# Plasmoid: Notify the user and add the subdirectory if desired
+if (SMB4K_INSTALL_PLASMOID)
+  message(STATUS "Installing plasmoid (-DSMB4K_INSTALL_PLASMOID=OFF to disable)")
   add_subdirectory(plasmoid)
-elseif(NOT INSTALL_PLASMOID)
-  message(STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)")
-endif(INSTALL_PLASMOID)
+elseif(NOT SMB4K_INSTALL_PLASMOID)
+  message(STATUS "Not installing plasmoid (-DSMB4K_INSTALL_PLASMOID=ON to enable)")
+endif(SMB4K_INSTALL_PLASMOID)
 
 ########### install files ###############

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -76,10 +76,15 @@
   KF5::JobWidgets
   KF5::Wallet
   KF5::XmlGui
+  KF5::DNSSD
   ${LIBSMBCLIENT_LIBRARIES})
 
-set_target_properties(smb4kcore PROPERTIES VERSION 6.0.0 SOVERSION 6)
 install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})
+
+if (SMB4K_WITH_WS_DISCOVERY)
+  target_compile_definitions(smb4kcore PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
+  target_link_libraries(smb4kcore KDSoap::WSDiscoveryClient)
+endif(SMB4K_WITH_WS_DISCOVERY)
 
 
 ########### install files ###############
@@ -87,27 +92,3 @@
 install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 install(FILES smb4k.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
 
-if (INSTALL_HEADER_FILES)
-  install(FILES
-    smb4kauthinfo.h
-    smb4kbasicnetworkitem.h
-    smb4kbookmark.h
-    smb4kbookmarkhandler.h
-    smb4kclient.h
-    smb4kcustomoptions.h
-    smb4kcustomoptionsmanager.h
-    smb4kfile.h
-    smb4kglobal.h
-    smb4khardwareinterface.h
-    smb4khomesshareshandler.h
-    smb4khost.h
-    smb4kmounter.h
-    smb4knotification.h
-    smb4kprocess.h
-    smb4kprofilemanager.h
-    smb4kshare.h
-    smb4ksynchronizer.h
-    smb4kwalletmanager.h
-    smb4kworkgroup.h
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR})
-endif (INSTALL_HEADER_FILES)

=== smb4k/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,10 @@
   KF5::KIOCore
   KF5::KIOWidgets
   smb4kcore)
+  
+if (SMB4K_WITH_WS_DISCOVERY)
+  target_compile_definitions(smb4kconfigdialog PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
+endif(SMB4K_WITH_WS_DISCOVERY)
 
 ########### Main Application #########################

=== debian/changelog ===
smb4k (3.0.90-0ubuntu1) impish; urgency=medium

  * New upstream release (3.0.90)
  * Add libkf5dnssd-dev to build depends.
  * Update lintian overrides.
  * Build for now with Arch any, otherwise riscv64 build is missing.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 May 2021 21:03:52 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libkf5coreaddons-dev,
                libkf5crash-dev,
                libkf5dbusaddons-dev,
+               libkf5dnssd-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
@@ -37,7 +38,7 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
 
 Package: smb4k
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
          samba-common-bin (>= 2:3.4.7~dfsg),
          smbclient (>= 2:3.4.7~dfsg),

## smb4k 3.1.0

=== debian/changelog ===
smb4k (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.44.0
    - add libkf5dnssd-dev
  * Update the cmake options according to the upstream build system:
    - drop -DINSTALL_HEADER_FILES=OFF, as it does not exist anymore
    - rename -DINSTALL_PLASMOID=false to -DSMB4K_INSTALL_PLASMOID=false
  * Update lintian overrides.
  * Drop removal of .so symlinks, as there are not anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 14:42:03 +0200

## smb4k 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 # Version
 #
 set(VERSION_MAJOR 3)
-set(VERSION_MINOR 0)
-set(VERSION_PATCH 90)
+set(VERSION_MINOR 1)
+set(VERSION_PATCH 1)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
@@ -111,13 +111,16 @@
 check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)
 
 if (NOT HAVE_SMBC_PROTOCOL)
-  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
+  message(WARNING "The function smbc_setOptionProtocols() is missing in Samba's client library's header file. The ability to set protocol versions for Samba's client library will be disabled.")
 endif()
 
 # Find KDSoap client
 if (SMB4K_WITH_WS_DISCOVERY)
-  find_package(KDSoap 1.9.0 REQUIRED)
-  find_package(KDSoapWSDiscoveryClient 0.2 REQUIRED)
+    message(STATUS "Building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=OFF to disable)")
+    find_package(KDSoap 1.9.0 REQUIRED)
+    find_package(KDSoapWSDiscoveryClient 0.2 REQUIRED)
+elseif(NOT SMB4K_WITH_WS_DISCOVERY)
+    message(STATUS "Not building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=ON to enable)")
 endif(SMB4K_WITH_WS_DISCOVERY)
 
 #

=== debian/changelog ===
smb4k (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: disable the blhc job.
  * debian/upstream/metadata: add bug entries.
  * Rename bug-presubj to smb4k.bug-presubj, and docs to smb4k.docs to make it
    explicit to which package they refer to.
  * debian/smb4k.bug-presubj: update URL of the upstream bug tracker.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Sep 2021 19:19:51 +0200

## smb4k 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,9 @@
   target_link_libraries(smb4kcore KDSoap::WSDiscoveryClient)
 endif(SMB4K_WITH_WS_DISCOVERY)
 
+if (HAVE_SMBC_PROTOCOL)
+  target_compile_definitions(smb4kcore PRIVATE USE_SMBC_PROTOCOL=${HAVE_SMBC_PROTOCOL})
+endif(HAVE_SMBC_PROTOCOL)
 
 ########### install files ###############

=== data/CMakeLists.txt ===
install(FILES 
  smb4ksettings.upd 
  smb4k_3_0_0.upd 
  DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS
  authentication1.sh
  network1.sh
  network2.sh
  samba1.sh
  samba2.sh
  samba3.sh
  userinterface1.sh
  userinterface2.sh
  userinterface3.sh
  userinterface4.sh
  userinterface5.sh
  DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== helpers/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core)

set(smb4kmounthelper_SRCS smb4kmounthelper.cpp)

add_executable(mounthelper ${smb4kmounthelper_SRCS})

target_link_libraries(mounthelper
  smb4kcore
  Qt5::Core
  ${AUTHLIB}
  KF5::CoreAddons
  KF5::I18n
  KF5::KIOCore)

install(TARGETS mounthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_helper_files(mounthelper org.kde.smb4k.mounthelper root)
kauth_install_actions(org.kde.smb4k.mounthelper smb4kmounthelper.actions)

=== smb4k/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,10 @@
 if (SMB4K_WITH_WS_DISCOVERY)
   target_compile_definitions(smb4kconfigdialog PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
 endif(SMB4K_WITH_WS_DISCOVERY)
+
+if (HAVE_SMBC_PROTOCOL)
+  target_compile_definitions(smb4kconfigdialog PRIVATE USE_SMBC_PROTOCOL=${HAVE_SMBC_PROTOCOL})
+endif(HAVE_SMBC_PROTOCOL)
 
 ########### Main Application #########################

=== smb4k/icons/oxygen/CMakeLists.txt ===
ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${ICON_INSTALL_DIR}
                   THEME oxygen   )

=== debian/changelog ===
smb4k (3.1.2-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (3.1.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Apr 2022 09:16:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,38 +7,38 @@
                debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
                gettext,
-               extra-cmake-modules,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               libkf5auth-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5dnssd-dev,
-               libkf5doctools-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5jobwidgets-dev,
-               libkf5kio-dev,
-               libkf5notifications-dev,
-               libkf5plasma-dev,
-               libkf5solid-dev,
-               libkf5wallet-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.44.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+               libkf5auth-dev (>= 5.44.0~),
+               libkf5completion-dev (>= 5.44.0~),
+               libkf5config-dev (>= 5.44.0~),
+               libkf5configwidgets-dev (>= 5.44.0~),
+               libkf5coreaddons-dev (>= 5.44.0~),
+               libkf5crash-dev (>= 5.44.0~),
+               libkf5dbusaddons-dev (>= 5.44.0~),
+               libkf5dnssd-dev (>= 5.44.0~),
+               libkf5doctools-dev (>= 5.44.0~),
+               libkf5i18n-dev (>= 5.44.0~),
+               libkf5iconthemes-dev (>= 5.44.0~),
+               libkf5jobwidgets-dev (>= 5.44.0~),
+               libkf5kio-dev (>= 5.44.0~),
+               libkf5notifications-dev (>= 5.44.0~),
+               libkf5plasma-dev (>= 5.44.0~),
+               libkf5solid-dev (>= 5.44.0~),
+               libkf5wallet-dev (>= 5.44.0~),
+               libkf5widgetsaddons-dev (>= 5.44.0~),
+               libkf5windowsystem-dev (>= 5.44.0~),
+               libkf5xmlgui-dev (>= 5.44.0~),
                libsmbclient-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
 
 Package: smb4k
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
          samba-common-bin (>= 2:3.4.7~dfsg),
          smbclient (>= 2:3.4.7~dfsg),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DSMB4K_INSTALL_PLASMOID=false

execute_after_dh_auto_install:
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_org.kde.smb4kqml.mo
	# at the end, remove empty directories
	find debian/smb4k -type d -empty -delete

## smb4k 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 3)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jul 2022 06:01:36 +0200

smb4k (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again the blhc job.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Apr 2022 20:08:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.2),
                debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
@@ -31,7 +31,7 @@
                libkf5windowsystem-dev (>= 5.44.0~),
                libkf5xmlgui-dev (>= 5.44.0~),
                libsmbclient-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git

## smb4k 3.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 3)
+set(VERSION_PATCH 4)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI in Homepage field.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Nov 2022 06:34:00 +0100

## smb4k 3.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 4)
+set(VERSION_PATCH 5)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 09:52:09 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libsmbclient-dev,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://smb4k.sourceforge.net/
+Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k

## smb4k 3.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 5)
+set(VERSION_PATCH 6)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Jan 2023 12:42:34 +0100

## smb4k 3.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 6)
+set(VERSION_PATCH 7)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== plasmoid/CMakeLists.txt ===
project(smb4kqml)

add_subdirectory(plugin)

plasma_install_package(package org.kde.smb4kqml)

=== smb4k/icons/hicolor/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
                    32-apps-smb4k.png
                    22-apps-smb4k.png
                    16-apps-smb4k.png
-                   DESTINATION  ${KDE_INSTALL_ICONDIR}
+                   DESTINATION  ${ICON_INSTALL_DIR}
                    THEME hicolor   )

=== debian/changelog ===
smb4k (3.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Jan 2023 12:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkf5windowsystem-dev (>= 5.44.0~),
                libkf5xmlgui-dev (>= 5.44.0~),
                libsmbclient-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git

## smb4k 3.1.81

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+
+# SPDX-License-Identifier: BSD-2-Clause
+# SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
+# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 #
 # Project
 #
@@ -8,14 +12,14 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 7)
+set(VERSION_PATCH 81)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #
 # Minimum required CMake version
 #
-cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 #
 # CMake policies
@@ -29,17 +33,11 @@
 #
 # Minimum required versions of Qt5 and KF5
 #
-set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.44.0")
+# set(QT_MIN_VERSION "5.15.2")
+# set(KF5_MIN_VERSION "5.98.0")
 
-#
-# Adjustments
-#
-if(KF5_VERSION VERSION_GREATER "5.55.0")
-    set(AUTHLIB KF5::AuthCore)
-else()
-    set(AUTHLIB KF5::Auth)
-endif()
+set(QT_MIN_VERSION "5.14.0")
+set(KF5_MIN_VERSION "5.80.0")
 
 #
 # Options for building Smb4K
@@ -63,8 +61,18 @@
 include(ECMInstallIcons)
 include(ECMSetupVersion)
 include(CheckSymbolExists)
+include(KDEClangFormat)
 
+#
+# Version
+# 
 ecm_setup_version(${VERSION} VARIABLE_PREFIX SMB4K VERSION_HEADER smb4k_version.h)
+
+#
+# Source code formatting
+# 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 # Qt5 modules
 find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
@@ -72,7 +80,6 @@
 find_package(Qt5Network ${QT_MIN_VERSION} REQUIRED)
 find_package(Qt5PrintSupport ${QT_MIN_VERSION} REQUIRED)
 find_package(Qt5Qml ${QT_MIN_VERSION} REQUIRED)
-find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MIN_VERSION} REQUIRED)
 
 # KF5 modules
@@ -111,7 +118,7 @@
 check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)
 
 if (NOT HAVE_SMBC_PROTOCOL)
-  message(WARNING "The function smbc_setOptionProtocols() is missing in Samba's client library's header file. The ability to set protocol versions for Samba's client library will be disabled.")
+  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
 endif()
 
 # Find KDSoap client
@@ -130,15 +137,14 @@
 if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
   set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
 endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000)
 
 #
 # Make sure that all libraries, plugins, etc. are installed
 # into the right place.
 #
-set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOLEAN "Use Qt system paths for installation" FORCE)
+set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Use Qt system paths for installation" FORCE)
 
 #
 # Add subdirectories

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,12 @@
+# SPDX-License-Identifier: BSD-2-Clause
+# SPDX-FileCopyrightText: 2009-2022 Raymond Wooninck <tittiatcoke@gmail.com>
+
+#
+# KDSoap WS Discovery client uses 'signals' and 'slots'
+# 
+remove_definitions(
+  -DQT_NO_KEYWORDS)
+
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
@@ -58,13 +67,12 @@
   Qt5::Core
   Qt5::Widgets
   Qt5::Gui
-  Qt5::Test
   Qt5::PrintSupport
   Qt5::Network
   Qt5::Qml
   KF5::ConfigCore
   KF5::ConfigGui
-  ${AUTHLIB}
+  KF5::AuthCore
   KF5::IconThemes
   KF5::I18n
   KF5::Completion
@@ -78,6 +86,11 @@
   KF5::XmlGui
   KF5::DNSSD
   ${LIBSMBCLIENT_LIBRARIES})
+    
+#
+# KI18N Translation Domain for library
+#
+add_definitions(-DTRANSLATION_DOMAIN=\"smb4k-core\")
 
 install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})
 
@@ -86,9 +99,6 @@
   target_link_libraries(smb4kcore KDSoap::WSDiscoveryClient)
 endif(SMB4K_WITH_WS_DISCOVERY)
 
-if (HAVE_SMBC_PROTOCOL)
-  target_compile_definitions(smb4kcore PRIVATE USE_SMBC_PROTOCOL=${HAVE_SMBC_PROTOCOL})
-endif(HAVE_SMBC_PROTOCOL)
 
 ########### install files ###############

=== debian/changelog ===
smb4k (3.1.81-1) experimental; urgency=medium

  * New upstream development release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.15.2
    - bump the KF packages to 5.98.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Install README.md instead of README as documentation (it was
    renamed/converted upstream).

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 12:07:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,39 +3,39 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.2),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               pkg-kde-tools (>= 0.15.16),
+               dh-sequence-kf5,
                gettext,
-               extra-cmake-modules (>= 5.44.0~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-               libkf5auth-dev (>= 5.44.0~),
-               libkf5completion-dev (>= 5.44.0~),
-               libkf5config-dev (>= 5.44.0~),
-               libkf5configwidgets-dev (>= 5.44.0~),
-               libkf5coreaddons-dev (>= 5.44.0~),
-               libkf5crash-dev (>= 5.44.0~),
-               libkf5dbusaddons-dev (>= 5.44.0~),
-               libkf5dnssd-dev (>= 5.44.0~),
-               libkf5doctools-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5jobwidgets-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5notifications-dev (>= 5.44.0~),
-               libkf5plasma-dev (>= 5.44.0~),
-               libkf5solid-dev (>= 5.44.0~),
-               libkf5wallet-dev (>= 5.44.0~),
-               libkf5widgetsaddons-dev (>= 5.44.0~),
-               libkf5windowsystem-dev (>= 5.44.0~),
-               libkf5xmlgui-dev (>= 5.44.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+               libkf5auth-dev (>= 5.98.0~),
+               libkf5completion-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5dnssd-dev (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5jobwidgets-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5notifications-dev (>= 5.98.0~),
+               libkf5plasma-dev (>= 5.98.0~),
+               libkf5solid-dev (>= 5.98.0~),
+               libkf5wallet-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5windowsystem-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libsmbclient-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git -b experimental
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k/-/tree/experimental
 
 Package: smb4k
 Architecture: kfreebsd-any linux-any
